#TechnicalProductData Database
##########################################
db.define_table('t_technicalProductData',
    Field('f_individualizationpercentage', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,100)),
          label=T('Individualization - Percentage'), comment=" %"),
    Field('f_producedquantity_planned', type='float',
          label=T('Quantity - Produced Quantity - Planned per Day'), comment=" n°"),
    Field('f_producedquantity_planned_yearly', type='float',
          label=T('Quantity - Produced Quantity - Planned per Year'), comment=" n°"),
    Field('f_producedquantity_actual', type='float',
          label=T('Quantity - Produced Quantity - Actual per Day'), comment=" n°"),
    Field('f_producedquantity_actual_yearly', type='float',
          label=T('Quantity - Produced Quantity - Actual per Year'), comment=" n°"),
    Field('f_inspectedpercentage', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,100)),
          label=T('Quality Control - Inspection Percentage'), comment=" %"),
    Field('f_inspectiontime', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
          label=T('Quality Control - Inspection Time per Part'), comment=" h"),
    Field('f_inspectedquantity', type='float',
          label=T('Quantity - Inspected Quantity per Day'), comment=" n°"),
    Field('f_inspectedquantity_yearly', type='float',
          label=T('Quantity - Inspected Quantity per Year'), comment=" n°"),
    Field('f_firsttimegoodquantity', type='float',
          label=T('Quantity - First-Time Good Quantity per Day'), comment=" n°"),
    Field('f_firsttimegoodquantity_yearly', type='float',
          label=T('Quantity - First-Time Good Quantity per Year'), comment=" n°"),
    Field('f_reworkpercentage', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,100)),
          label=T('Rework - Percentage '), comment=" %"),
    Field('f_reworkquantity', type='float',
          label=T('Quantity - Rework Quantity per Day'), comment=" n°"),
    Field('f_reworkduration', type='float',
          label=T('Rework - Duration Basic'), comment=" h"),
    Field('f_reworkduration_vibration', type='float',
          label=T('Rework - Duration - Caused by one Vibration'), comment=" h"),
    Field('f_reworkvibration_number', type='float',
          label=T('Rework - Vibration - Number per BLISK'), comment=" n°"),
    Field('f_reworkduration_total', type='float',
          label=T('Rework - Duration - Caused by Vibration Total'), comment=" h"),
    Field('f_reworkquantity_yearly', type='float',
          label=T('Quantity - Rework Quantity per Year'), comment=" n°"),
    Field('f_timetorework', type='float',
          label=T('Rework - Time for one Part'), comment=" h"),
    Field('f_timetorework_total', type='float',
          label=T('Rework - Time Total'), comment=" h"),
    Field('f_productvariantsonapplication', type='float',
          label=T('Product Variants - Variants of Application'), comment=" n°"),
    Field('f_totalproductvariants', type='float',
          label=T('Product Variants - Total Variants'), comment=" n°"),
    Field('f_scrapquantity', type='float',
          label=T('Quantity - Scrap Quantity per Day')),
    Field('f_scrapquantity_yearly', type='float',
          label=T('Quantity - Scrap Quantity per Year')),
    Field('f_goodquantity', type='float',
          label=T('Quantity - Good Quantity per Day')),
    Field('f_goodquantity_yearly', type='float',
          label=T('Quantity - Good Quantity per Year')),
    Field('f_totalproductionloss', type='float',
          label=T('Total production loss')),
    Field('f_otherloss', type='float',
          label=T('Other loss')),
    migrate=settings.migrate)

############################################

#EconomicProductData Database
##########################################
db.define_table('t_economicProductData',
    Field('f_sellingprice', type='float',
          label=T('Products - Selling Price per Part'), comment=" €"),
    Field('f_individualizationadditionalprofit', type='float',
          label=T('Individualization - Additional Expected Profit'), comment=" €"),
    Field('f_materialcostpart', type='float',
          label=T('Material - Cost per Part'), comment=" €"),
    Field('f_qualitycontrolcostpart', type='float',
          label=T('Quality Control - Cost per Part'), comment=" €"),
    Field('f_disposalcostpart', type='float',
          label=T('Disposal - Cost per Part'), comment=" €"),
    Field('f_materialcostrework', type='float',
          label=T('Material - Cost for Rework'), comment=" €"),
    Field('f_wagerework', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
          label=T('Rework - Hourly Wage of Staff'), comment=" €"),
    Field('f_revenuessale', type='float',
          label=T('Revenues sale')),
    Field('f_revenuesindividualization', type='float',
          label=T('Revenues (Individualization)')),
    Field('f_opexmaterial', type='float',
          label=T('Opexmaterial')),
    Field('f_opexqualitycontrol', type='float',
          label=T('Opexqualitycontrol')),
    Field('f_opexrework', type='float',
          label=T('Opexrework')),
    Field('f_opexdisposal', type='float',
          label=T('Opexdisposal')),
    Field('f_revenuesproduct', type='float',
          label=T('Revenues (Sales)')),
    Field('f_opexproduct', type='float',
          label=T('Opexproduct')),
    format='%(f_sellingprice)s',
    migrate=settings.migrate)

############################################
